function battle_sai034(npcID)       --疚业

	n=flag.GetBattleValue(15191)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

	x1=battle.CheckNpcPlace(3)

	if x1==0 then

	a=battle.GetRndNumber(1,10)
		  
        if a>=1 and a<=7 then
       	n=n+1
        flag.SetBattleValue(15191,n)
		id=battle.GetRndPlayer()    --普通攻击
		battle.AtkToPlayer(id,1)

        elseif a>=8 and a<=10  then    --单体技能1
        id=battle.GetRndPlayer()
		battle.MagicToPlayer(id,1485,2)
		flag.SetBattleValue(15191,0)
        end

	else
	  	id=battle.GetRndPlayer()
		battle.SetDamageScale(2)
		battle.AtkToPlayer(id,2)
    end

end